Skip to main content
PUT
Update Account
This endpoint updates an account and associated asset rules

Headers

Authorization
string
required

The Basic Authentication header. Format: "Basic {base64(orgID:apiKey)}"

Path Parameters

ledger_key
string
required

The key of the ledger. Examples:

  • "123e4567-e89b-12d3-a456-426614174000"
  • "id:123e4567-e89b-12d3-a456-426614174000"
  • "ref:ledger:customer_a"
account_key
string
required

The key of the account. Examples:

  • "123e4567-e89b-12d3-a456-426614174000"
  • "id:123e4567-e89b-12d3-a456-426614174000"
  • "ref:internal:revenue:fx"

Body

application/json
default_asset_code
string

the new default asset code for the account

Minimum string length: 1
status
enum<string>

the new status for the account

Available options:
ACTIVE,
INACTIVE,
INACTIVE
metadata
object

the new metadata for the account, will overwrite existing metadata

Response

200 - application/json

The request has succeeded.

account_id
string<uuid>
required

The unique identifier of the account

account_ref
string
required

The externally defined reference of the account

Minimum string length: 1
default_asset_code
string
required

The default asset for the account

Minimum string length: 1
enabled_assets
object[]
required

The enabled assets for the account with asset rules such as min/max balances

created_at
string<date-time>
required
updated_at
string<date-time>
required
status
enum<string>

The status of the account, defaults to ACTIVE

Available options:
ACTIVE,
INACTIVE,
INACTIVE
metadata
object

Additional, optional, metadata for the account